Bug 81017 - RH 8.0 Package Manager failure
RH 8.0 Package Manager failure
Status: CLOSED DUPLICATE of bug 74877
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-03 10:20 EST by Daniel
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:50:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel 2003-01-03 10:20:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
 After doing a couple of up2dates over the last couple of months, I decided to
make an atempt to remove the 'old' kernel options that appeared in the grub
loader menu at boot up. But instead of just modifying the grub config file
(hindsight!) I went into the boot directory and deleted items refering to the
older kernel versions. Since then my RPM manager (including RPM installer)
hasn't worked. It simply starts to run by bringing up the Add/Remove window,
with a checking system window in front of it. The checking system window runs
through a few things then gets to 'reading system state' at which point the
package manager disappears.......and that's it. Same thing happens when I try to
install any new RPM that I have downloaded.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run package manager or double click on any RPM file
2.
3.
    

Actual Results:   It starts to run by bringing up the Add/Remove window, with a
checking system window in front of it. The checking system window runs through a
few things then gets to 'reading system state' at which point the package
manager disappears

Expected Results:  A proper run of the RPM manager enabling me to add/remove
packages

Additional info:
Comment 1 Jeremy Katz 2003-01-03 10:37:06 EST
Do you get any error messages if you run redhat-config-packages from a terminal
window?
Comment 2 Daniel 2003-01-03 11:02:30 EST
I tried that command and got the following:-

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 163, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 471, in readCompsFile
    self.setupStateDicts(packages)
  File "/usr/share/redhat-config-packages/comps.py", line 420, in setupStateDicts
    for prov in h[rpm.RPMTAG_PROVIDES]:
TypeError: iteration over non-sequence
Comment 3 Jeremy Katz 2003-01-03 11:16:45 EST

*** This bug has been marked as a duplicate of 74877 ***
Comment 4 Red Hat Bugzilla 2006-02-21 13:50:53 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.